package com.blazinggames.tmod.common.arcade
{
	import flash.display.IBitmapDrawable;
	
	/**
	 * Sprites or MovieClip type objects that are used to represent lives or 
	 * other stats that are represented by a bar of icons. It is used by the
	 * LifeBar class to control the appearance of the bar.
	 * 
	 * @author Billy D. Spelchan
	 */
	public interface ILifeIcon
	extends IBitmapDrawable
	{
		function isAlive():Boolean;
		function endLife():void;
		function startLife():void;
	}
}