package com.blazinggames.tmod.common.layers
{
	import flash.geom.Rectangle;

	public interface ILayerRenderer
	{
		/**
		 * Set the size in pixels of the layer
		 */
		function setViewportSize(w:int, h:int):void;
		
		/**
		 * Renders the indicated portion of the world. The coordinates are in
		 * world units and shoud be scaled to the viewport size.
		 */
		function renderLayer(worldView:Rectangle):void;
	}
}