package com.blazinggames.tmod.common.layers
{
	public interface IWorldEntity
	{
		function get direction():Number;
		function get worldX():Number;
		function get worldY():Number;
		function get radius():Number;
		function set direction(dir:Number):void;
		function set worldX(wx:Number):void;
		function set worldY(wy:Number):void;
		function set radius(r:Number):void;
		function placeObject(wx:Number, wy:Number, dir:Number):void;
		function copyState(source:IWorldEntity):void;
		function createCopy():IWorldEntity;
		function update(manager:IWorldManager):Boolean
	}
}