package com.blazinggames.tmod.common
{
	public class BasicDLLNode implements IDoubleLinkedListNode
	{
// ***** CONSTANTS *****
		
		
// ***** VARIABLES *****
		
		private var _prevNode:IDoubleLinkedListNode;
		private var _nextNode:IDoubleLinkedListNode;
		private var _contents:Object;
		
// ***** CONSTRUCTOR *****
		
		public function BasicDLLNode(contents:Object = null)
		{
			_prevNode = null;
			_nextNode = null;
			_contents = contents;
		}
		
// ***** IDoubleLinkedList implementation *****
		
		public function nextNode():IDoubleLinkedListNode
		{
			return _nextNode;
		}
		
		public function previousNode():IDoubleLinkedListNode
		{
			return _prevNode;
		}
		
		public function setNextNode(node:IDoubleLinkedListNode):IDoubleLinkedListNode
		{
			var oldNode:IDoubleLinkedListNode = _nextNode;
			_nextNode = node;
			return oldNode;
		}
		
		public function setPreviousNode(node:IDoubleLinkedListNode):IDoubleLinkedListNode
		{
			var oldNode:IDoubleLinkedListNode = _prevNode;
			_prevNode = node;
			return oldNode;
		}

// ***** CONTENT MANAGEMENT *****

		public function get contents():Object
		{
			return _contents;
		}

		public function set contents(value:Object):void
		{
			_contents = value;
		}

	}
		
}